package com.ruoyi.dezhi.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 视频包老师对象 b_busi_dezhi_video_package_teacher
 * 
 * @author mingxue
 * @date 2021-07-22
 */
public class BBusiDezhiVideoPackageTeacher extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 小节 */
    @Excel(name = "小节")
    private String packId;

    /** 标题 */
    @Excel(name = "标题")
    private String teacherName;

    /** 封面 */
    @Excel(name = "封面")
    private String teacherDesc;

    /** 说明 */
    @Excel(name = "说明")
    private String teacherIntro;

    /** 节数 */
    @Excel(name = "节数")
    private String teacherImgurl;

    /** 老师科目 */
    @Excel(name = "老师科目")
    private String teacherSubject;

    /** 老师periods */
    @Excel(name = "老师periods")
    private String teacherPeriods;

    /** 章节url */
    @Excel(name = "章节url")
    private String sectionImgurl;

    /** 老师ID */
    @Excel(name = "老师ID")
    private String teacherId;

    /** 来源 */
    @Excel(name = "来源")
    private String from;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPackId(String packId) 
    {
        this.packId = packId;
    }

    public String getPackId() 
    {
        return packId;
    }
    public void setTeacherName(String teacherName) 
    {
        this.teacherName = teacherName;
    }

    public String getTeacherName() 
    {
        return teacherName;
    }
    public void setTeacherDesc(String teacherDesc) 
    {
        this.teacherDesc = teacherDesc;
    }

    public String getTeacherDesc() 
    {
        return teacherDesc;
    }
    public void setTeacherIntro(String teacherIntro) 
    {
        this.teacherIntro = teacherIntro;
    }

    public String getTeacherIntro() 
    {
        return teacherIntro;
    }
    public void setTeacherImgurl(String teacherImgurl) 
    {
        this.teacherImgurl = teacherImgurl;
    }

    public String getTeacherImgurl() 
    {
        return teacherImgurl;
    }
    public void setTeacherSubject(String teacherSubject) 
    {
        this.teacherSubject = teacherSubject;
    }

    public String getTeacherSubject() 
    {
        return teacherSubject;
    }
    public void setTeacherPeriods(String teacherPeriods) 
    {
        this.teacherPeriods = teacherPeriods;
    }

    public String getTeacherPeriods() 
    {
        return teacherPeriods;
    }
    public void setSectionImgurl(String sectionImgurl) 
    {
        this.sectionImgurl = sectionImgurl;
    }

    public String getSectionImgurl() 
    {
        return sectionImgurl;
    }
    public void setTeacherId(String teacherId) 
    {
        this.teacherId = teacherId;
    }

    public String getTeacherId() 
    {
        return teacherId;
    }
    public void setFrom(String from) 
    {
        this.from = from;
    }

    public String getFrom() 
    {
        return from;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("packId", getPackId())
            .append("teacherName", getTeacherName())
            .append("teacherDesc", getTeacherDesc())
            .append("teacherIntro", getTeacherIntro())
            .append("teacherImgurl", getTeacherImgurl())
            .append("teacherSubject", getTeacherSubject())
            .append("teacherPeriods", getTeacherPeriods())
            .append("sectionImgurl", getSectionImgurl())
            .append("teacherId", getTeacherId())
            .append("from", getFrom())
            .toString();
    }
}
